package com.s3ai.entities;

import org.junit.jupiter.api.BeforeEach;
import org.junit.jupiter.api.Test;

import java.util.UUID;

import static org.junit.jupiter.api.Assertions.assertEquals;

class TicketTest {

    private Ticket ticketUnderTest;

    @BeforeEach
    void setUp() {
        ticketUnderTest = new Ticket();
    }

    @Test
    void testToString() {
        // Setup
        final String expectedResult = "Ticket{" +
                "id=" + null +
                ", user=" + null +
                ", cinema=" + null +
                ", movie='" + null + '\'' +
                '}';

        // Run the test
        final String result = ticketUnderTest.toString();

        // Verify the results
        assertEquals(expectedResult, result);
    }

    @Test
    void testSetId() {
        // Setup
        final UUID uuid = UUID.fromString("cff7b830-9e24-4106-becf-41ce113682bd");
        // Run the test
        ticketUnderTest.setId(uuid);

        // Verify the results

        assertEquals(uuid, ticketUnderTest.getId());
    }

    @Test
    void testSetUser() {
        // Setup
        final User user = new User();

        // Run the test
        ticketUnderTest.setUser(user);

        // Verify the results
        assertEquals(user, ticketUnderTest.getUser());
    }

    @Test
    void testSetCinema() {
        // Setup
        final Cinema cinema = new Cinema();

        // Run the test
        ticketUnderTest.setCinema(cinema);

        // Verify the results
        assertEquals(cinema, ticketUnderTest.getCinema());
    }

    @Test
    void testSetMovie() {
        // Setup

        // Run the test
        ticketUnderTest.setMovie("movie");

        // Verify the results
        assertEquals("movie", ticketUnderTest.getMovie());
    }
}
